﻿-- (c) Xavier Ferrairó Peiró, aka Mortimer-Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

function TimerTracker_OnLoad(self)
    self:RegisterEvent("START_TIMER");
    self:RegisterEvent("PLAYER_ENTERING_WORLD");
end

function StartTimer_SetTexNumbers(self, ...)
	local inInstance, instanceType = IsInInstance()
	local digits = {...}
	local timeDigits = floor(self.time)
	local digit = 0
	local style = self.style
	local i = 1
	
	local texCoW = style.w/style.texW
	local texCoH = style.h/style.texH
	local l,r,t,b
	local columns = floor(style.texW/style.w)
	local numberOffset = 0
	local numShown = 0

	if inInstance and (instanceType == "pvp") or (instanceType == "arena") then

		while digits[i] do
			if timeDigits == 10 then
				PlaySoundFile("Interface\\AddOns\\Bang_Bang\\Artwork\\countdown.mp3", "Master")
			end
			
			if timeDigits > 0 then
				digit = mod(timeDigits, 10)
				
				digits[i].hw = style.numberHalfWidths[digit+1]*digits[i].width
				numberOffset  = numberOffset + digits[i].hw
				
				l = mod(digit, columns) * texCoW
				r = l + texCoW
				t = floor(digit/columns) * texCoH
				b = t + texCoH
				digits[i]:SetTexCoord(l,r,t,b)
				digits[i].glow:SetTexCoord(l,r,t,b)
				
				timeDigits = floor(timeDigits/10)
				numShown = numShown + 1
			else
				digits[i]:SetTexCoord(0,0,0,0)
				digits[i].glow:SetTexCoord(0,0,0,0)
			end
			
			if digit <= 9 then
				self:SetPoint("CENTER", mainframe, "CENTER", 0, 0) -- (horizontal, frame, vertical, horizontal, vertical)
				self:SetHeight(96)
				self:SetWidth(128) -- anchura
			end

			i = i + 1;		
		end
	end
end
-- mayor que >= esto
-- menor que <= esto