-- (c) Xavier Ferrairó Peiró, aka Mortimer-Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

UFP = "UnitFramePortrait_Update"
UICC = "Interface\\TargetingFrame\\UI-Classes-Circles"
CIT = CLASS_ICON_TCOORDS 
hooksecurefunc(UFP, function(self)
    if self.portrait then
        if select(2,UnitClass(self.unit)) == "DRUID" then
          local i, flag=1, false
          while UnitBuff(self.unit, i) do
             local id = select(11,UnitBuff(self.unit, i))
             --768 (Cat Form)  783(Travel Form) 1066 (Aquatic Form) 5487 (Bear Form) 24858 (Moonkin Form) 33891 (Tree of Life) 33943 (Flight Form) 40120 (Swift Flight Form)
             if id == 768 or id == 783 or id == 1066 or id == 5487 or id == 24858 or id == 33891 or id == 33943 or id == 40120 then
               SetPortraitToTexture(self.portrait, GetSpellTexture(id));
               self.portrait:SetTexCoord(0, 1, 0, 1)
               flag = true
             end
             i = i + 1
           end
       end
   end   
end)

--changing portrait to class icon	
hooksecurefunc(UFP ,function(self)
	if self.portrait then
		local t = CLASS_ICON_TCOORDS[select(2,UnitClass(self.unit))]
		if t and UnitIsPlayer(self.unit) then
			self.portrait:SetTexture(UICC)
			self.portrait:SetTexCoord(unpack(t))
		else
			self.portrait:SetTexCoord(0,1,0,1)
		end
	end
end)
		
-- Class colours in all hp bars
local function colour(statusbar, unit)
        local _, class, c
        if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
                _, class = UnitClass(unit)
                _, myclass = UnitClass("player")
               -- _, foclass = UnitClass("focus")
                c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
                myc = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[myclass] or RAID_CLASS_COLORS[myclass]
               -- foc = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[foclass] or RAID_CLASS_COLORS[foclass]
                statusbar:SetStatusBarColor(c.r, c.g, c.b)
                PlayerFrameHealthBar:SetStatusBarColor(myc.r, myc.g, myc.b) -- my hp as class color
                --PlayerFrameHealthBar:SetStatusBarColor(0,1,0) -- my hp as green color
				--FocusFrameNameBackground:SetVertexColor(0,0,0)
				--PlayerFrameNameBackground:SetVertexColor(0,0,0)
        end
	end
hooksecurefunc("UnitFrameHealthBar_Update", colour)
hooksecurefunc("HealthBar_OnValueChanged", function(self)
        colour(self, self.unit)
end)