-- (c) Xavier Ferrair Peir, aka Mortimer-Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

local spellIds = {
	115804,		-- dot
	132168,		-- Shockwave
	86346, 		-- physical
	1715,		-- Hamstring
	107570,		-- Storm bolt
}


UFP = "UnitFramePortrait_Update"
UICC = "Interface\\TargetingFrame\\UI-Classes-Circles"
CIT = CLASS_ICON_TCOORDS 
hooksecurefunc(UFP, function(self)
    if self.portrait then
        if select(2,UnitClass(self.unit)) == "DRUID" then
          local i, flag=1, false
          while UnitBuff(self.unit, i) do
             local id = select(11,UnitBuff(self.unit, i))
             --768 (Cat Form)  783(Travel Form) 1066 (Aquatic Form) 5487 (Bear Form) 24858 (Moonkin Form) 33891 (Tree of Life) 33943 (Flight Form) 40120 (Swift Flight Form)
             if id == 768 or id == 783 or id == 1066 or id == 5487 or id == 24858 or id == 33891 or id == 33943 or id == 40120 then
               SetPortraitToTexture(self.portrait, GetSpellTexture(id));
               self.portrait:SetTexCoord(0, 1, 0, 1)
               flag = true
             end
             i = i + 1
           end
       end
   end   
end)


--changing portrait to class icon	
hooksecurefunc(UFP ,function(self)
	if self.portrait then
		local t = CLASS_ICON_TCOORDS[select(2,UnitClass(self.unit))]
		if t and UnitIsPlayer(self.unit) then
			self.portrait:SetTexture(UICC)
			self.portrait:SetTexCoord(unpack(t))
		else
			self.portrait:SetTexCoord(0,1,0,1)
		end
	end
end)



--testing debuffs	
local function UpdateClassPortrait(dself)
	if dself.portrait then

		           local a, flag=1, false
			while UnitDebuff(dself.unit, a) do
					local id = select(11,UnitDebuff(dself.unit, a))
					-- colossus 81326, 61573 banner ali, 132168 shockwave, 115804 siempre
				for i = 1, 40 do
					local spellID = spellIds[i]
					if id == spellID then
					
								local _, _, texture, _, _, _, eTime = UnitDebuff(dself.unit, a)
               SetPortraitToTexture(dself.portrait, texture);
			  -- print(flag);
               --dself.portrait:SetTexCoord(0, 1, 0, 1)
			   flag = true
					end
				end
			    a = a + 1
				--print(flag);
			end
	end

end
--hooksecurefunc("UnitFramePortrait_Update", UpdateClassPortrait)







-- Force an update when combat spells...
local f = CreateFrame("Frame")
f:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
--f:SetScript("OnUpdate", self, event, unit)
f:SetScript("OnEvent", function(self, event, ...)

		--UpdateClassPortrait(...)
--		if (event == "COMBAT_LOG_EVENT_UNFILTERED") then
		--print("inicio");
--		hooksecurefunc(UFP, UpdateClassPortrait)
--		end
end)

		
-- Class colours in hp bars
local function colour(statusbar, unit)
        local _, class, c
        if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
                _, class = UnitClass(unit)
                c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
                statusbar:SetStatusBarColor(c.r, c.g, c.b)
                PlayerFrameHealthBar:SetStatusBarColor(0,1,0)
        end
end
 
hooksecurefunc("UnitFrameHealthBar_Update", colour)
hooksecurefunc("HealthBar_OnValueChanged", function(self)
        colour(self, self.unit)
end)

function cGetUnitFrame(unit)
	local frame
	if unit == "target" then
		frame = tFrame
	elseif unit == "focus" then
		frame = fFrame
	elseif unit == "player" then
		frame = pFrame
	elseif unit == "party1" then
		frame = cPartyFrame1
	elseif unit == "party2" then
		frame = cPartyFrame2
	elseif unit == "party3" then
		frame = cPartyFrame3
	elseif unit == "party4" then
		frame = cPartyFrame4
	elseif unit == "arena1" then
		frame = cArenaFrame1
	elseif unit == "arena2" then
		frame = cArenaFrame2
	elseif unit == "arena3" then
		frame = cArenaFrame3
	elseif unit == "arena4" then
		frame = cArenaFrame4
	elseif unit == "arena5" then
		frame = cArenaFrame5
	end	
	return frame
end