-- (c) Xavier Ferrairó Peiró, aka Mortimer-Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

-- Greeting Frame...
local greetingFrame = CreateFrame("Frame", "greetingFrame", UIParent)
local greetingFrameBackdrop = {
	bgFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Background",  
	edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Border",
	tile = true,
	tileSize = 32,
	edgeSize = 32,
	insets = {left = 11, right = 12, top = 12, bottom = 11}
}
greetingFrame:SetHeight(250)
greetingFrame:SetWidth(250)
greetingFrame:SetPoint("CENTER",0,0)
greetingFrame:SetBackdrop(greetingFrameBackdrop)

-- The third argument to CreateFontString is a template name, not a frame to parent the FontString to (FontStrings are automatically parented to the frame you create them from)
local greetingFrameFontString = greetingFrame:CreateFontString("greetingFrameFontString", "BACKGROUND")
greetingFrameFontString:SetHeight(200)
greetingFrameFontString:SetWidth(200)
greetingFrameFontString:SetPoint("CENTER", "greetingFrame", 0, 60)
greetingFrameFontString:SetFontObject("GameFontNormal")
greetingFrameFontString:SetText("GREETING FRAME TEXT")

local greetingFrameButton = CreateFrame("Button", "greetingFrameButton", greetingFrame, "UIPanelButtonTemplate") -- Parent the button to the main frame
greetingFrameButton:SetPoint("CENTER", 0, -80)
greetingFrameButton:SetWidth(80)
greetingFrameButton:SetHeight(22)
greetingFrameButton:SetText("BUTTON TEXT")

greetingFrame:Show()

greetingFrameButton:RegisterForClicks("LeftButtonDown")
local upDown = { [false] = "Up", [true] = "Down" } -- If you really need to convert a down boolean to a string like this, use `local downStr = down and "Down" or "Up"` instead of a table
greetingFrameButton:SetScript("OnMouseDown", function(self, button)
end)
greetingFrameButton:SetScript("OnMouseUp", function(self, button)
end)
greetingFrameButton:SetScript("OnClick", function(self, button, down)
end)
greetingFrameButton:SetScript("PreClick", function(self, button, down)
end)
greetingFrameButton:SetScript("PostClick", function(self, button,down) -- Do you really need to hide on the PostClick instead of the OnClick?
	greetingFrame:Hide()
end)




------- BRUTAL PANEL
--TestFrame.button1:GetName() is "TestButton1"

CreateFrame("Frame","TestFrame",UIParent,"BasicFrameTemplate")

TestFrame:SetSize(400,150)
TestFrame:SetPoint("TOP")

TestFrame.button1 = CreateFrame("Button","TestButton1",TestFrame,"UIPanelButtonTemplate")
TestFrame.button1:SetSize(300,22)
TestFrame.button1:SetPoint("TOP",0,-50)
TestFrame.button1:SetText("TestButton1 OR TestFrame.button1")

TestFrame.button2 = CreateFrame("Button",nil,TestFrame,"UIPanelButtonTemplate")
TestFrame.button2:SetSize(300,22)
TestFrame.button2:SetPoint("TOP",0,-90)
TestFrame.button2:SetText("TestFrame.button2")