-- (c) Xavier Ferrair Peir, aka Mortimer-Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

--GUILD RANK
local tooltip=CreateFrame("Frame")

local GameTooltip, GetGuildInfo = GameTooltip, GetGuildInfo
	tooltip:SetScript("OnEvent",function()
	name, unit = GameTooltip:GetUnit()
		local gname, rank, ranki = GetGuildInfo("mouseover")
		local lhprestige = UnitPrestige("mouseover");
      --  local gLevel = UnitGetGuildLevel("mouseover");

		if UnitIsPlayer(unit) then
			-- GUILD        GameTooltipTextLeft2:SetFormattedText(guildRank and "<%s> %s" or "<%s>", guild, guildRank);
			if rank then
				--GameTooltipTextLeft2:SetTextColor(0.2, 0.8, 8) -- r g b guild for all
				GameTooltip:AddLine("|cffdf7401Guild Rank: |cffF39633"..rank)
				GameTooltip:AddLine("|cffdf7401Prestige: |cffF39633"..lhprestige)
				GameTooltip:Show()
			end
			-- GUILD
			if rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetFormattedText(ranki and "%s %s", ranki, gname);--guildlvl guildName friendly
				GameTooltipTextLeft3:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly with guild
				GameTooltip:Show()
			end
			-- GUILD
			if rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetFormattedText(ranki and "%s %s", ranki, gname); --guildlvl guildName hostile
				GameTooltipTextLeft3:SetTextColor(2, 0.1, 0.1) -- r g b hostile with guild
				GameTooltip:Show()
			end
			-- NO GUILD
			if not rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly no guild
				GameTooltip:AddLine("|cffdf7401Prestige: |cffF39633"..lhprestige)
				GameTooltip:Show()
			end
			-- NO GUILD
			if not rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(2, 0.1, 0.1) -- r g b hostile no guild
				GameTooltip:AddLine("|cffdf7401Prestige: |cffF39633"..lhprestige)
				GameTooltip:Show()
			end
		end
	end)

tooltip:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
--END GUILD RANK

--SYSTEM ID
function itemtooltip_func()
--GameTooltip:SetBackdropColor(0, 0, 0, 1)
--GameTooltip:SetBackdropBorderColor(0, 0, 0)
--	itemName,itemLink = GameTooltip:GetItem()
--	if itemLink ~= nil then	   
--		local itemString = string.match(itemLink, "item[%-?%d:]+")
--		local _, itemId, enchantId, jewelId1, jewelId2, jewelId3, 
--		jewelId4, suffixId, uniqueId, linkLevel, reforgeId = strsplit(":", itemString)

		-- Item counter
--		local countBags = GetItemCount(itemId)
--		local countTotal = GetItemCount(itemId, true)
		-- End

--		GameTooltip:AddLine("|cffdf7401Item ID: |cffF39633"..itemId)
--		GameTooltip:AddLine("|cffdf7401Counter: |cffF39633"..countTotal.."|cffdf7401 |cffF59999"..countBags.." bags + "..(countTotal - countBags).." bank")
--		GameTooltip:Show();
--		GameTooltip.Show = function() end -- Prevent other mods from showing the button

--	end
	
	--SPELL ID
	spellName, spellRank, spellID = GameTooltip:GetSpell()
	if spellID then
		GameTooltip:AddLine("|cffdf7401Spell ID: |cffF39633"..spellID)
		GameTooltip:Show();
	end
	--END SPELL ID
end
GameTooltip:SetScript("OnShow",itemtooltip_func)
--END SYSTEM ID

hooksecurefunc(GameTooltip, "SetUnitBuff", function(self,...)
   local id = select(11,UnitBuff(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitDebuff", function(self,...)
   local id = select(11,UnitDebuff(...))
   if id then
      self:AddDoubleLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitAura", function(self,...)
   local id = select(11,UnitAura(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

-- CLASSCOLOR NAMES
GameTooltip:HookScript("OnTooltipSetUnit", function(GameTooltip)
	--print("OnTooltipSetUnit")
	local _, unit = GameTooltip:GetUnit()
	--print(unit)
	if UnitIsPlayer(unit) then
		--print("UnitIsPlayer")
		local _, class = UnitClass(unit)
		--print(class)
		local color = class and (CUSTOM_CLASS_COLORS or RAID_CLASS_COLORS)[class]
		if color then
			local text = GameTooltipTextLeft1:GetText()
			--print(text)
			GameTooltipTextLeft1:SetFormattedText("|cff%02x%02x%02x%s|r", color.r * 255, color.g * 255, color.b * 255, text:match("|cff\x\x\x\x\x\x(.+)|r") or text)
		end
	end
end)
-- END CLASSCOLOR NAMES